// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef DUALBASIS_H
#define DUALBASIS_H
#include <vector>
#include "FIAT_rcp.hpp"
#include "FIAT_functional.hpp"

using namespace std;

namespace FIAT {

  class DualBasis;

  class DualBasis
  {
  public:
    DualBasis() {}
    DualBasis( RCP<FunctionalSet> FS ,
	       vector<vector<vector<int> > > &eids ) :
      FS( FS ) , eids( eids ) { }
    RCP<FunctionalSet> getFunctionalSet() const { return FS; }
    const vector<vector<vector<int> > > &getEntityIds() const {return eids; }
  protected:
    RCP<FunctionalSet> FS;
    vector<vector<vector<int> > > eids;
  };

}
#endif
