// Written by Robert C. Kirby and Kevin Long
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef FIAT_EXCEPTION_H
#define FIAT_EXCEPTION_H

#include <exception>
#include <stdexcept>
#include <iostream>
#include <sstream>



/// The only purpose for this function is to set a breakpoint.
void FIATExceptionBreak();

#define FIAT_ERROR(msg) \
  {\
    FIATExceptionBreak();\
    ostringstream os; \
    os << __FILE__ << ": " << __LINE__ << ": FIAT detected exception: " \
       << msg; \
    throw std::runtime_error(os.str());             \
  }
  
 

#endif
