// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef FINITEELEMENT_H
#define FINITEELEMENT_H
namespace FIAT {
  class FiniteElement;

  class FiniteElement
  {
  public:
    FiniteElement( ) : DB( 0 ) , PS( 0 ) {}
    FiniteElement( RCP<DualBasis> DB ,
		   RCP<ScalarPolynomialSet> PS ) :
      DB( DB ) , PS( PS ) {}

    int domain_shape() const { return PS->domain_shape(); }
    RCP<DualBasis> getDualBasis() const { return DB; }
    RCP<ScalarPolynomialSet> getPolynomialSet() const { return PS; }

  protected:
    RCP<DualBasis> DB;
    RCP<ScalarPolynomialSet> PS;
  };
}
#endif
