// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef JACOBI_H
#define JACOBI_H

#include <blitz/array.h>
#include <cmath>

namespace FIAT {

  

    class Jacobi;

  class Jacobi
  {
  public:
    static double 
    eval_jacobi( double a, double b, int n, double x );

    static blitz::Array<double,2>
    eval_jacobi_batch( double a , double b , 
		       int n , 
		       const blitz::Array<double,1> &xs );

    static double 
    eval_jacobi_deriv( double a, double b, int n, double x );

    static blitz::Array<double,2>
    eval_jacobi_deriv_batch( double a , double b , 
			     int n , 
			     const blitz::Array<double,1> &xs );

  };

}
#endif
