// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef LAGRANGE_H
#define LAGRANGE_H

#include <blitz/array.h>
#include "FIAT_functional.hpp"
#include "FIAT_shapes.hpp"
#include "FIAT_dualbasis.hpp"
#include "FIAT_finiteelement.hpp"
#include "FIAT_rcp.hpp"


namespace FIAT {
  ;

  class LagrangeDualBasis;
  class LagrangeElement;

  class LagrangeDualBasis : public DualBasis
  {
  public:
    LagrangeDualBasis( RCP<PolynomialBase> PB );
  };

  class LagrangeElement : public FiniteElement
  {
  public:
    LagrangeElement( int shp , int n );
  };
}

#endif
